OAuth redirect URI (browser only)
GET
/v1/file-imports/oauth/{provider}/callback
const url = 'https://shareout.site/v1/file-imports/oauth/google_drive/callback';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/file-imports/oauth/google_drive/callback \ --header 'Authorization: Bearer <token>'Signed state + PKCE; the session user must be the user who started the flow. Returns an HTML page.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”provider
required
string
Query Parameters
Section titled “Query Parameters”code
string
state
string
Responses
Section titled “Responses”Connected (HTML)
Refused or expired (HTML)
